HXPRUNE(1)

NAME
hxprune - remove marked elements from an HTML file

SYNOPSIS
hxprune [ -c class ] [ -x ] [ file ]

DESCRIPTION
hxprune removes specially marked elements (with their content and children) from an HTML file. By default it removes elements with a class attribute of "exclude". The class attribute is parsed as a whitespace-separated list of words and if one of those words is "exclude", the element is not copied to the output.

OPTIONS
The following options are supported:

-c class
    Specify a different class than "exclude".

-x  Force output to be in XML-style, i.e., without short attributes and with a slash (/) to mark empty elements.